Debian Bug report logs - #599437
gdisk: data corruption and other bugs fixed in later releases

version graph

Package: gdisk; Maintainer for gdisk is Guillaume Delacour <gui@iroqwa.org>; Source for gdisk is src:gdisk.

Reported by: Ansgar Burchardt <ansgar@2008.43-1.org>

Date: Thu, 7 Oct 2010 15:42:01 UTC

Severity: grave

Tags: fixed-upstream, upstream

Found in version gdisk/0.5.1-1

Fixed in version gdisk/0.6.14-1

Done: Guillaume Delacour <gui@iroqwa.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Guillaume Delacour <gui@iroqwa.org>:
Bug#599437; Package gdisk. (Thu, 07 Oct 2010 15:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ansgar Burchardt <ansgar@2008.43-1.org>:
New Bug report received and forwarded. Copy sent to Guillaume Delacour <gui@iroqwa.org>. (Thu, 07 Oct 2010 15:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@2008.43-1.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gdisk: data corruption and other bugs fixed in later releases
Date: Thu, 07 Oct 2010 17:40:08 +0200
Package: gdisk
Version: 0.5.1-1
Severity: grave
Tags: upstream fixed-upstream

Several bugs have been closed in later releases:

- Fixed serious data corruption bug on big-endian (PowerPC and similar)
  systems. [0.6.3]
- Fixed off-by-one bug in specification of partition when using the
  -T (--transform-bsd) option in sgdisk. [0.6.4]
- Fixed major bug in hybrid MBR creation, which caused incorrect
  protective partition end point settings and occasionally other
  problems. [0.6.9]
- Fixed bug that created backwards attribute field values (bit #2 was
  entered as bit #61, etc.). [0.6.10]

At least the first of these looks release critical.

I do not know whether gdisk 0.5.1-1 currently in testing and unstable is
affected or these bugs were only introduced in a later release.

Regards,
Ansgar




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#599437; Package gdisk. (Wed, 13 Oct 2010 22:06:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillaume Delacour <gui@iroqwa.org>:
Extra info received and forwarded to list. (Wed, 13 Oct 2010 22:06:15 GMT) Full text and rfc822 format available.

Message #10 received at 599437@bugs.debian.org (full text, mbox):

From: Guillaume Delacour <gui@iroqwa.org>
To: 599437@bugs.debian.org
Cc: Ansgar Burchardt <ansgar@43-1.org>
Subject: Upstream contacted to have details on bug fixed
Date: Wed, 13 Oct 2010 23:53:03 +0200
[Message part 1 (text/plain, inline)]
Hi,

First, I haven't managed to find a sponsor to upload versions since
0.5.1, this why the version in testing and unstable is quite far from
upstream.

I already have contacted upstream to know the severity of known bugs
between 0.5.1 and last 0.6.13. Here is his list:

Critical bug fixed since 0.5.1:
--------------------

- segfault and/or produce corrupt partition tables on PowerPC (and
probably other big-endian) CPUs
(6699b01eda84d24bfaf80ad725304fef2b0e1b2a, 21 files changed).


Importants bugs:
--------------------

- Added support for disks with other than 512-byte logical sectors.

- Changed sector alignment policies to improve performance on Advanced
Format disks and some hardware RAID arrays.

- GUID generation improved; now technically correct, vs. just plain
random in 0.5.1.

- Some bad partition tables could produce segfaults.

- Fixed backward interpretation of attributes.

Moderate bugs :
--------------------

- Fixed a bug affecting the display of GUID values with some versions of
GCC.

- Improved handling of damaged GPT data structures.

- Improved detection of problems with MBR data structures in the verify
function.



As the critical bug (at least) seems to be not very trivial to backport,
the best is maybe to upload a new vesion.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Guillaume Delacour <gui@iroqwa.org>:
Bug#599437; Package gdisk. (Sat, 16 Oct 2010 00:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ansgar Burchardt <ansgar@43-1.org>:
Extra info received and forwarded to list. Copy sent to Guillaume Delacour <gui@iroqwa.org>. (Sat, 16 Oct 2010 00:36:06 GMT) Full text and rfc822 format available.

Message #15 received at 599437@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@43-1.org>
To: Guillaume Delacour <gui@iroqwa.org>
Cc: 599437@bugs.debian.org
Subject: Re: Upstream contacted to have details on bug fixed
Date: Sat, 16 Oct 2010 02:32:05 +0200
Guillaume Delacour <gui@iroqwa.org> writes:

> First, I haven't managed to find a sponsor to upload versions since
> 0.5.1, this why the version in testing and unstable is quite far from
> upstream.

That is unfortunate :-/

> As the critical bug (at least) seems to be not very trivial to
> backport, the best is maybe to upload a new vesion.

Testing is already in "deep freeze"[1].  I do not expect the release
team to accept a new upstream release at this point, they would likely
prefer backported patches (only those relevant to fix RC bugs, see the
last announcement from the release team I linked to) or consider removal
of the version currently in testing (that is not include gdisk in
Squeeze).

Uploading a newer version to unstable before having decided what to do
with the package in testing will complicate things: fixes targeted at
Squeeze might have to go through testing-proposed-updates and get less
testing by users before arriving in the testing distribution.  Please
think about how you would like to proceed, you might also want to ask
the release team (debian-release@lists.d.o).

Regards,
Ansgar

[1] <http://lists.debian.org/debian-devel-announce/2010/10/msg00002.html>




Information forwarded to debian-bugs-dist@lists.debian.org, Guillaume Delacour <gui@iroqwa.org>:
Bug#599437; Package gdisk. (Sat, 13 Nov 2010 17:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Guillaume Delacour <gui@iroqwa.org>. (Sat, 13 Nov 2010 17:30:02 GMT) Full text and rfc822 format available.

Message #20 received at 599437@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: 599437@bugs.debian.org
Cc: debian-release@lists.debian.org
Subject: Looks like we should drop gdisk for squeeze
Date: Sat, 13 Nov 2010 17:27:06 +0000
Hi,

gdisk 0.5.1-1 is currently in squeeze and sid and has the RC bug
#599437 open against it. There's a new upstream version available
(0.6.13), but the change is huge (39 files changed, 9069
insertions(+), 2593 deletions(-)); IMHO the changes are far too large
for an update now.

The code in the older version of gdisk looks nasty, I'll be honest,
and I would rather see it removed. Small popcon usage and no rdeps.

Guillaume, I know you have the new upstream version waiting on a
sponsor. I might be persuaded to sponsor that for you targetting
post-squeeze.

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
"Further comment on how I feel about IBM will appear once I've worked out
 whether they're being malicious or incompetent. Capital letters are forecast."
 Matthew Garrett, http://www.livejournal.com/users/mjg59/30675.html





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#599437; Package gdisk. (Sat, 13 Nov 2010 18:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillaume Delacour <gui@iroqwa.org>:
Extra info received and forwarded to list. (Sat, 13 Nov 2010 18:24:03 GMT) Full text and rfc822 format available.

Message #25 received at 599437@bugs.debian.org (full text, mbox):

From: Guillaume Delacour <gui@iroqwa.org>
To: 599437@bugs.debian.org
Cc: debian-release@lists.debian.org, Steve McIntyre <steve@einval.com>
Subject: Re: Bug#599437: Looks like we should drop gdisk for squeeze
Date: Sat, 13 Nov 2010 19:21:47 +0100
[Message part 1 (text/plain, inline)]
Le samedi 13 novembre 2010 à 17:27 +0000, Steve McIntyre a écrit :
> Hi,

Hi,

> 
> gdisk 0.5.1-1 is currently in squeeze and sid and has the RC bug
> #599437 open against it. There's a new upstream version available
> (0.6.13), but the change is huge (39 files changed, 9069
> insertions(+), 2593 deletions(-)); IMHO the changes are far too large
> for an update now.

I tried to contact upstream a week ago to know his opinion for fix these
bugs but i didn't received any answer at this moment.

> 
> The code in the older version of gdisk looks nasty, I'll be honest,
> and I would rather see it removed. Small popcon usage and no rdeps.

I agree, it could be reasonnable to report the inclusion in the next
stable release.

> 
> Guillaume, I know you have the new upstream version waiting on a
> sponsor. I might be persuaded to sponsor that for you targetting
> post-squeeze.
> 

Thanks; i've to upload the last 0.6.13 on mentors (currently 0.6.11
uploaded).
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Guillaume Delacour <gui@iroqwa.org>:
Bug#599437; Package gdisk. (Sun, 14 Nov 2010 16:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Guillaume Delacour <gui@iroqwa.org>. (Sun, 14 Nov 2010 16:27:08 GMT) Full text and rfc822 format available.

Message #30 received at 599437@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Steve McIntyre <steve@einval.com>
Cc: 599437@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Looks like we should drop gdisk for squeeze
Date: Sun, 14 Nov 2010 16:24:24 +0000
On Sat, 2010-11-13 at 17:27 +0000, Steve McIntyre wrote:
> gdisk 0.5.1-1 is currently in squeeze and sid and has the RC bug
> #599437 open against it. There's a new upstream version available
> (0.6.13), but the change is huge (39 files changed, 9069
> insertions(+), 2593 deletions(-)); IMHO the changes are far too large
> for an update now.
> 
> The code in the older version of gdisk looks nasty, I'll be honest,
> and I would rather see it removed. Small popcon usage and no rdeps.

For the record, Julien added a removal hint for this yesterday and it's
no longer in Squeeze.

Regards,

Adam





Reply sent to Guillaume Delacour <gui@iroqwa.org>:
You have taken responsibility. (Thu, 27 Jan 2011 20:39:05 GMT) Full text and rfc822 format available.

Notification sent to Ansgar Burchardt <ansgar@2008.43-1.org>:
Bug acknowledged by developer. (Thu, 27 Jan 2011 20:39:05 GMT) Full text and rfc822 format available.

Message #35 received at 599437-close@bugs.debian.org (full text, mbox):

From: Guillaume Delacour <gui@iroqwa.org>
To: 599437-close@bugs.debian.org
Subject: Bug#599437: fixed in gdisk 0.6.14-1
Date: Thu, 27 Jan 2011 20:34:20 +0000
Source: gdisk
Source-Version: 0.6.14-1

We believe that the bug you reported is fixed in the latest version of
gdisk, which is due to be installed in the Debian FTP archive:

gdisk_0.6.14-1.debian.tar.gz
  to main/g/gdisk/gdisk_0.6.14-1.debian.tar.gz
gdisk_0.6.14-1.dsc
  to main/g/gdisk/gdisk_0.6.14-1.dsc
gdisk_0.6.14-1_amd64.deb
  to main/g/gdisk/gdisk_0.6.14-1_amd64.deb
gdisk_0.6.14.orig.tar.gz
  to main/g/gdisk/gdisk_0.6.14.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 599437@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillaume Delacour <gui@iroqwa.org> (supplier of updated gdisk package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 26 Jan 2011 20:55:51 +0100
Source: gdisk
Binary: gdisk
Architecture: source amd64
Version: 0.6.14-1
Distribution: unstable
Urgency: low
Maintainer: Guillaume Delacour <gui@iroqwa.org>
Changed-By: Guillaume Delacour <gui@iroqwa.org>
Description: 
 gdisk      - GPT fdisk text-mode partitioning tool
Closes: 599437
Changes: 
 gdisk (0.6.14-1) unstable; urgency=low
 .
   * New upstream release, include new sgdisk binary (Closes: #599437)
   * debian/patches/manpages.diff: Escape ' in gdisk.8
     (hyphen-used-as-minus-sign lintian's complain)
   * debian/rules: More simple version with debhelper 7.0.50
   * debian/control:
     + Depends on debhelper (>= 7.0.50~)
     + Add uuid-dev and libpopt0-dev to Build-Depends
     + Bump to Standards-Version 3.9.1 (no changes needed)
     + Warning on description to mention that gdisk is still beta software
   * debian/docs: add NEWS, (Upstream CHANGELOG is now NEWS file)
   * debian/manpages: add {s}gdisk.8 manpages
   * debian/watch: Point to right url (gptfdisk instead of gdisk, other project)
   * debian/copyright:
     + Add missing copyright holders (crc32.{cc,h})
     + Specify GPL-2 or later for crc32.{cc,h} files
   * Switch to dpkg-source 3.0 (quilt) format (remove debian/README.source)
   * Bump to Standards-Version 3.9.1 (no changes needed)
Checksums-Sha1: 
 2240d8e16e5a2fb337c1bea96bf627f8ab1c79f4 1336 gdisk_0.6.14-1.dsc
 0f8231373cdc62d2f7ec1383a0d99147733017d0 136062 gdisk_0.6.14.orig.tar.gz
 01afbf16ffe32c1e1e9215b5e6ec75a82bc512eb 2526 gdisk_0.6.14-1.debian.tar.gz
 7510cd6b2d2d3cd4c19d9dac5fb2cf0527dfbe2c 164422 gdisk_0.6.14-1_amd64.deb
Checksums-Sha256: 
 d7b61f29be5c9f6fe569ec280ae08615101d48c929366ac5b21f6027ac822e1c 1336 gdisk_0.6.14-1.dsc
 9e8ff1d5fe17b9f2d00e8c51ccaa5d8d55e7e74f5cd8d936b99ea9366dd7c93c 136062 gdisk_0.6.14.orig.tar.gz
 d8be3b3dc236160b6c0aebf09cdc90f38bdc7d7694aa3fb930c84f8046d62a4f 2526 gdisk_0.6.14-1.debian.tar.gz
 6a2ad22d5e048e8c2ee73f29a8ec036903e9d4da429f1807440b90da7e8bf3c4 164422 gdisk_0.6.14-1_amd64.deb
Files: 
 97e77f8c785bf36d7936d76d0761df0b 1336 admin extra gdisk_0.6.14-1.dsc
 5ee90e610a47c5966044cb5541173276 136062 admin extra gdisk_0.6.14.orig.tar.gz
 bb1586ddbdda9ad67dd9758f39c7abb1 2526 admin extra gdisk_0.6.14-1.debian.tar.gz
 3e78d4fc0fa7b9d5752986b9c675bcaf 164422 admin extra gdisk_0.6.14-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQEcBAEBCAAGBQJNQdD+AAoJEB/FiR66sEPVtkcIAJEidOjR3M1eZaRabAapW2qb
xLWBKp9m9rWrH8y4V/mX50/M+iWsGOxJMzEfeKTNJ8jjsgoOPnuWoEKJbmU/gSrQ
8z0b4tU+6wC9k6/Kh2aE5ltTqnYr7vLP8SN5exB2Bu94UZ0HoK15RR7ZiL5HPWjY
2/QsX6+852a4Gqn7MaTm9ujoBpzI3HlOYdmnp2R9aGTqrx4DT/kLHm7j6YEfQOoZ
nBFXijgTuuaYaq7QPTMZKwtLlkVAReKcRqeq00g0kZTMsErZhEl3/RTlav7OMKq3
y4X7beLxh6qi7ZcxNvbvACoaK3E3L5a3nJfNQemoeMb95BKvLZCginAS2I3h43M=
=Q3Cu
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Apr 2011 08:05:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:52:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.